package bloat

import (
	"bytes"
	"fmt"
	"io"

	"filippo.io/age"
)

func (b *Bloat[T]) encrypt(plain []byte) ([]byte, error) {
	buf := &bytes.Buffer{}
	w, err := age.Encrypt(buf, &b.EncPub) // my wrapper doesn't support multiple recipients yet
	if err != nil {
		return []byte{}, err
	}
	_, err = w.Write(plain)
	if err != nil {
		fmt.Println(err)
		return []byte{}, err
	}
	var r string
	_, err = io.WriteString(w, r)
	return []byte(r), err
}
