package bloat

import "encoding/xml"

/*
types to decode:
	.phish (identity)
	.bivouac (decisions)
	.cicada (indexes/feeds)
	.crew (groups)
	.mores (rules)

*/

func (b *Bloat[T]) unmarshal(plain []byte) (T, error) {
	var res T
	err := xml.Unmarshal(plain, res)
	return res, err
}
